# Gimp.Layer.resize

    @accepts(Gimp.Layer, int, int, int, int)
    @returns(bool)
    def resize(self, new_width, new_height, offx, offy):
        # Python wrapper for gimp_layer_resize()

Resize the layer to the specified extents.

This procedure resizes the layer so that its new width and height are equal to the supplied parameters. Offsets are also provided which describe the position of the previous layer's content. This operation only works if the layer has been added to an image.

self

  The layer.

new_width

  New layer width.

new_height

  New layer height.

offx

  x offset between upper left corner of old and new layers: (old - new).

offy

  y offset between upper left corner of old and new layers: (old - new).

Returns